from django.urls import path

from .views import (
    index, task_edit, task_delete, 
    task_set_status_completato, task_set_status_in_sospeso, task_set_status_da_fare,
    assistant_chat
)

urlpatterns = [
    path("", index, name="index"),
    path("edit/<int:pk>/", task_edit, name="task_edit"),
    path("delete/<int:pk>/", task_delete, name="task_delete"),
    path("task/complete/<int:pk>/", task_set_status_completato, name="task_set_status_completato"),
    path("task/in-sospeso/<int:pk>/", task_set_status_in_sospeso, name="task_set_status_in_sospeso"),
    path("task/da-fare/<int:pk>/", task_set_status_da_fare, name="task_set_status_da_fare"),
    path('assistant-chat/', assistant_chat, name='assistant_chat'),
]
